Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Accept_Strategy Class Template Reference

`#include <Acceptor_Impl.h>`

Inheritance diagram for TAO_Accept_Strategy

[legend]
Collaboration diagram for TAO_Accept_Strategy:

[legend]
List of all members.

## Public Methods
| TAO_Accept_Strategy (TAO_ORB_Core *orb_core)
| Constructor.
int | open (const ACE_PEER_ACCEPTOR_ADDR &local_addr, int restart = 0)
| Initialize the <peer_acceptor_> with <local_addr>. If the process runs out of handles, purge some "old" connections.
int | accept_svc_handler (SVC_HANDLER *svc_handler)
| Delegates to the method of the PEER_ACCEPTOR. If the process runs out of handles, purge some "old" connections.
## Protected Types
typedef ACE_Accept_Strategy< SVC_HANDLER, ACE_PEER_ACCEPTOR_2> | ACCEPT_STRATEGY_BASE
| Base class.
## Protected Methods
int | out_of_sockets_handler (void)
| Handler which deals with purging "old" connections.
## Protected Attributes
TAO_ORB_Core* | orb_core_
| Pointer to the ORB Core.

## Member Typedef Documentation

template<classSVC_HANDLER, ACE_PEER_ACCEPTOR_1>
typedef ACE_Accept_Strategy<SVC_HANDLER, ACE_PEER_ACCEPTOR_2> TAO_Accept_Strategy<SVC_HANDLER, >::ACCEPT_STRATEGY_BASE`[protected]`

| Base class.

## Constructor & Destructor Documentation

template<classSVC_HANDLER, ACE_PEER_ACCEPTOR_1>
TAO_Accept_Strategy<SVC_HANDLER, >::TAO_Accept_Strategy<SVC_HANDLER, > ( | TAO_ORB_Core * orb_core )

| Constructor.

## Member Function Documentation

template<classSVC_HANDLER, ACE_PEER_ACCEPTOR_1>
int TAO_Accept_Strategy<SVC_HANDLER, >::accept_svc_handler ( | SVC_HANDLER * svc_handler )

| Delegates to the method of the PEER_ACCEPTOR. If the process runs out of handles, purge some "old" connections. Reimplemented from ACE_Accept_Strategy.

template<classSVC_HANDLER, ACE_PEER_ACCEPTOR_1>
int TAO_Accept_Strategy<SVC_HANDLER, >::open ( | const ACE_PEER_ACCEPTOR_ADDR & local_addr,
| int restart = 0 )

| Initialize the <peer_acceptor_> with <local_addr>. If the process runs out of handles, purge some "old" connections. Reimplemented from ACE_Accept_Strategy.

template<classSVC_HANDLER, ACE_PEER_ACCEPTOR_1>
int TAO_Accept_Strategy<SVC_HANDLER, >::out_of_sockets_handler ( | void )`[protected]`

| Handler which deals with purging "old" connections.

## Member Data Documentation

template<classSVC_HANDLER, ACE_PEER_ACCEPTOR_1>
TAO_ORB_Core * TAO_Accept_Strategy<SVC_HANDLER, >::orb_core_`[protected]`

| Pointer to the ORB Core.

The documentation for this class was generated from the following files:

- Acceptor_Impl.h
- Acceptor_Impl.cpp